# Atlas
Atlas is the next generation of mapping tools for [Hot Dogs, Horseshoes & Handgrenades](https://store.steampowered.com/app/450540/Hot_Dogs_Horseshoes__Hand_Grenades/).

## Features
- Occlusion Culling and Unity Enlighten support
- Access to all the game's components out of the box, no need for proxying
- Sandbox / 'simple' scenes
- Custom Take and Hold scenes
- Plus the ability to write your own custom scripts to make any new game mode you want!

## What about WurstMod?
These updates were originally planned for WurstMod but there quickly became too many structural changes. WurstMod maps are _not_ compatible with Atlas, and continuing with the WurstMod name could have implied there was some form of backwards compatibility when there isn't and never will be. The good news is that _Atlas is currently not incompatible with WurstMod_, that is to say you can run both of them side by side without issues.

For map authors; while it is possible to update your maps from WurstMod to Atlas, because of the major changes to the workflow it may be very difficult. It is not something I recommend doing unless you know what you're doing.

Shout out to @nolenz (Koba) for being the original author of WurstMod, the first project I worked on in the H3VR modding commuinity. I would not be here otherwise.

## How do I make a map?
Checkout the getting [started guide](https://h3vr-modding.github.io/wiki/creating/mapping/atlas/getting_started/1_requirements.html) over on the wiki for more information on how to make your own maps

## How can I help?
If you want to help contribute to Atlas and future modding tools for H3VR, consider supporting me on Ko-fi: https://ko-fi.com/nrgill28!

If you are interested in helping develop Atlas, send me a message on Discord `@nrgill28#9007` via either the main [H3VR server](https://discord.gg/Hggg7wh) or the [modding server](https://discord.gg/DCsdXk4r9A).
